/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.crop.model;

import java.io.Serializable;

/**
 * Model object which represents the class of the Race. This is deliberately
 * named Genus to avoid confusion with the reserved word class
 *
 * @author Merijn Zengers
 */
public class Genus extends CropBean implements Serializable {

    private static String SOURCE_UNKNOWN = "Unknown";
    private static String NAME_UNKNOWN = "Unknown";
        
    public Genus() {
        this(NAME_UNKNOWN, SOURCE_UNKNOWN);
    }

    public Genus(String name) {
        this(name, SOURCE_UNKNOWN);
    }
    
    public Genus(String name, String source) {
        setName(name);
        setSource(source);
    }
}
